Package oracle.nosql.driver.ops

# Class DropReplicaRequest

java.lang.Object
oracle.nosql.driver.ops.Request
oracle.nosql.driver.ops.DropReplicaRequest

public class DropReplicaRequest extends Request
Cloud service only. DropReplicaRequest is used to drop a replica region on a table.

Since:
  5.4.13

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DropReplicaRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `oracle.nosql.driver.ops.serde.Serializer`
  `createDeserializer(oracle.nosql.driver.ops.serde.SerializerFactory factory)`
  `oracle.nosql.driver.ops.serde.Serializer`
  `createSerializer(oracle.nosql.driver.ops.serde.SerializerFactory factory)`
  `String`
  `getMatchETag()`
  Returns the matchEtag, or null if not set
  `String`
  `getReplicaName()`
  Returns the replica name.
  `String`
  `getTypeName()`
  Returns the type name of the request.
  `DropReplicaRequest`
  `setCompartment(String compartment)`
  Sets the name or id of a compartment to be used for this operation.
  `DropReplicaRequest`
  `setDefaults(NoSQLHandleConfig config)`
  `DropReplicaRequest`
  `setMatchEtag(String etag)`
  Sets an ETag in the request that must be matched for the operation to proceed.
  `DropReplicaRequest`
  `setReplicaName(String replicaName)`
  Sets the replica name (region) to be dropped
  `DropReplicaRequest`
  `setTableName(String tableName)`
  Sets the table name to use for the operation.
  `DropReplicaRequest`
  `setTimeout(int timeoutMs)`
  Sets the request timeout value, in milliseconds.
  `void`
  `validate()`

  ### Methods inherited from class oracle.nosql.driver.ops.Request

  `getCompartment, getNamespace, getRateLimitDelayedMs, getReadRateLimiter, getRetryStats, getTableName, getWriteRateLimiter, setReadRateLimiter, setWriteRateLimiter`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DropReplicaRequest

    public DropReplicaRequest()

- ## Method Details

  - ### setTableName

    public DropReplicaRequest setTableName(String tableName)
    Sets the table name to use for the operation.
    Parameters:
      `tableName` - the name
    Returns:
      this

  - ### setReplicaName

    public DropReplicaRequest setReplicaName(String replicaName)
    Sets the replica name (region) to be dropped
    Parameters:
      `replicaName` - the name of the replica
    Returns:
      this

  - ### getReplicaName

    public String getReplicaName()
    Returns the replica name. This is the region name
    Returns:
      the replica name

  - ### setMatchEtag

    public DropReplicaRequest setMatchEtag(String etag)
    Sets an ETag in the request that must be matched for the operation to proceed. The ETag must be non-null and have been returned in a previous `TableResult`. This is a form of optimistic concurrency control allowing an application to ensure no unexpected modifications have been made to the table.
    Parameters:
      `etag` - the ETag
    Returns:
      this
    Since:
      5.4.15

  - ### getMatchETag

    public String getMatchETag()
    Returns the matchEtag, or null if not set
    Returns:
      the ETag
    Since:
      5.4.15

  - ### setCompartment

    public DropReplicaRequest setCompartment(String compartment)

    Sets the name or id of a compartment to be used for this operation.

    The compartment may be specified as either a name (or path for nested compartments) or as an id (OCID). A name (vs id) can only be used when authenticated using a specific user identity. It is not available if authenticated as an Instance Principal which can be done when calling the service from a compute instance in the Oracle Cloud Infrastructure. See `SignatureProvider.createWithInstancePrincipal()`

    Parameters:
      `compartment` - the name or id. If using a nested compartment, specify the full compartment path `compartmentA.compartmentB`, but exclude the name of the root compartment (tenant).
    Returns:
      this

  - ### setTimeout

    public DropReplicaRequest setTimeout(int timeoutMs)
    Sets the request timeout value, in milliseconds. This overrides any default value set in `NoSQLHandleConfig`. The value must be positive.
    Parameters:
      `timeoutMs` - the timeout value, in milliseconds
    Returns:
      this
    Throws:
      `IllegalArgumentException` - if the timeout value is less than or equal to 0

  - ### setDefaults

    public DropReplicaRequest setDefaults(NoSQLHandleConfig config)

  - ### validate

    public void validate()

  - ### createSerializer

    public oracle.nosql.driver.ops.serde.Serializer createSerializer(oracle.nosql.driver.ops.serde.SerializerFactory factory)

  - ### createDeserializer

    public oracle.nosql.driver.ops.serde.Serializer createDeserializer(oracle.nosql.driver.ops.serde.SerializerFactory factory)

  - ### getTypeName

    public String getTypeName()
    Description copied from class: `Request`
    Returns the type name of the request. This is used for stats.
    Specified by:
      `getTypeName` in class `Request`
    Returns:
      the type name of the request